This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 57172 - Fails to rebuild
Fails to rebuild
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-06 07:17 EST by Enrico Scholz
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-06 07:17:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2001-12-06 07:17:20 EST
Description of Problem:

While trying to rebuild gcc it fails

$ rpm --rebuild gcc-3.1-0.10.src.rpm 
| gcc -c  -DIN_GCC    `echo -g  -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wtraditional -pedantic -Wno-long-long |sed -e 's/-pedantic//g' -e 's/-Wtraditional//g'`  -g     -I- -I. -I.. -I../../../gcc/ada -I../../../gcc/ada/.. -I../../../gcc/ada/../config -I../../../gcc/ada/../../include ../../../gcc/ada/misc.c
| ../../../gcc/ada/misc.c: In function `gnat_init':
| ../../../gcc/ada/misc.c:357: `lang_expand_constant' undeclared (first use in this function)
| ../../../gcc/ada/misc.c:357: (Each undeclared identifier is reported only once
| ../../../gcc/ada/misc.c:357: for each function it appears in.)
| make[3]: *** [misc.o] Error 1
| make[2]: *** [gnat1] Error 2
| make[1]: *** [stage1_build] Error 2
| make: *** [bootstrap-lean] Error 2
| error: Bad exit status from /var/tmp/rpm-tmp.76013 (%build)
| make[3]: Leaving directory `/var/volatile/rpm/BUILD/gcc-3.1-20011127/obj-i386-redhat-linux/gcc/ada'
| make[2]: Leaving directory `/var/volatile/rpm/BUILD/gcc-3.1-20011127/obj-i386-redhat-linux/gcc'
| make[1]: Leaving directory `/var/volatile/rpm/BUILD/gcc-3.1-20011127/obj-i386-redhat-linux/gcc'



Version-Release number of selected component (if applicable):

gcc-3.1-0.10.src.rpm 
gnat-3.13p-4.src.rpm  (from old powertools)
Comment 1 Jakub Jelinek 2001-12-06 07:21:44 EST
Ada is not yet supported. I don't know if it will be included or not,
certainly if it will not, I'll make sure it will be disabled.

Note You need to log in before you can comment on or make changes to this bug.